# -*- coding: utf-8 -*-

################################################################################
## Form generated from reading UI file 'maintWlUmf.ui'
##
## Created by: Qt User Interface Compiler version 5.15.2
##
## WARNING! All changes made in this file will be lost when recompiling UI file!
################################################################################

from PySide2.QtCore import *
from PySide2.QtGui import *
from PySide2.QtWidgets import *

import resource_rc
import resource_rc

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        if not MainWindow.objectName():
            MainWindow.setObjectName(u"MainWindow")
        MainWindow.resize(825, 395)
        self.centralwidget = QWidget(MainWindow)
        self.centralwidget.setObjectName(u"centralwidget")
        self.gridLayoutWidget = QWidget(self.centralwidget)
        self.gridLayoutWidget.setObjectName(u"gridLayoutWidget")
        self.gridLayoutWidget.setGeometry(QRect(411, 157, 314, 60))
        self.gridLayout = QGridLayout(self.gridLayoutWidget)
        self.gridLayout.setSpacing(0)
        self.gridLayout.setObjectName(u"gridLayout")
        self.gridLayout.setSizeConstraint(QLayout.SetMinimumSize)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.OnOff_Generale = QPushButton(self.gridLayoutWidget)
        self.OnOff_Generale.setObjectName(u"OnOff_Generale")
        self.OnOff_Generale.setMinimumSize(QSize(50, 0))
        self.OnOff_Generale.setMaximumSize(QSize(50, 16777215))
        self.OnOff_Generale.setToolTipDuration(6)
        self.OnOff_Generale.setStyleSheet(u"background-color: transparent;")
        icon = QIcon()
        icon.addFile(u":/bottoni/img/v_off.png", QSize(), QIcon.Normal, QIcon.Off)
        icon.addFile(u":/bottoni/img/V_on.png", QSize(), QIcon.Normal, QIcon.On)
        icon.addFile(u":/bottoni/img/V_on.png", QSize(), QIcon.Active, QIcon.On)
        self.OnOff_Generale.setIcon(icon)
        self.OnOff_Generale.setIconSize(QSize(50, 50))
        self.OnOff_Generale.setCheckable(True)

        self.gridLayout.addWidget(self.OnOff_Generale, 0, 1, 1, 1)

        self.horizontalSpacer = QSpacerItem(40, 20, QSizePolicy.Expanding, QSizePolicy.Minimum)

        self.gridLayout.addItem(self.horizontalSpacer, 0, 0, 1, 1)

        self.titolo = QLabel(self.centralwidget)
        self.titolo.setObjectName(u"titolo")
        self.titolo.setGeometry(QRect(541, 46, 177, 31))
        font = QFont()
        font.setFamily(u"DejaVu Sans Condensed")
        font.setPointSize(22)
        self.titolo.setFont(font)
        self.titolo.setStyleSheet(u" color:#0037a6;")
        self.titolo.setScaledContents(False)
        self.titolo.setAlignment(Qt.AlignHCenter|Qt.AlignTop)
        self.titolo.setTextInteractionFlags(Qt.NoTextInteraction)
        self.sfondo = QLabel(self.centralwidget)
        self.sfondo.setObjectName(u"sfondo")
        self.sfondo.setGeometry(QRect(-2, 19, 789, 235))
        self.sfondo.setPixmap(QPixmap(u":/sfondo/img/contenitore.png"))
        self.sfondo.setScaledContents(True)
        self.display = QLabel(self.centralwidget)
        self.display.setObjectName(u"display")
        self.display.setGeometry(QRect(419, 151, 250, 70))
        self.display.setPixmap(QPixmap(u":/sfondo/img/display.png"))
        self.display.setScaledContents(True)
        self.targhettaOnOff = QLabel(self.centralwidget)
        self.targhettaOnOff.setObjectName(u"targhettaOnOff")
        self.targhettaOnOff.setGeometry(QRect(680, 153, 35, 67))
        self.targhettaOnOff.setPixmap(QPixmap(u":/targette/img/Vtarghetta-tspento.png"))
        self.targhettaOnOff.setScaledContents(True)
        self.OnLabel = QLabel(self.centralwidget)
        self.OnLabel.setObjectName(u"OnLabel")
        self.OnLabel.setGeometry(QRect(683, 145, 31, 38))
        font1 = QFont()
        font1.setFamily(u"DejaVu Sans Mono")
        self.OnLabel.setFont(font1)
        self.OnLabel.setStyleSheet(u"color: rgba(0, 83, 125,255);\n"
"font-size:18px;\n"
"text-align:center;")
        self.OnLabel.setAlignment(Qt.AlignCenter)
        self.OffLabel = QLabel(self.centralwidget)
        self.OffLabel.setObjectName(u"OffLabel")
        self.OffLabel.setGeometry(QRect(683, 189, 31, 38))
        self.OffLabel.setFont(font1)
        self.OffLabel.setStyleSheet(u"color: rgb(255, 0, 0);\n"
"\n"
"font-size:14px;\n"
"text-align:center;")
        self.OffLabel.setAlignment(Qt.AlignCenter)
        self.OnOff_Impostazioni = QPushButton(self.centralwidget)
        self.OnOff_Impostazioni.setObjectName(u"OnOff_Impostazioni")
        self.OnOff_Impostazioni.setEnabled(False)
        self.OnOff_Impostazioni.setGeometry(QRect(12, 162, 50, 58))
        self.OnOff_Impostazioni.setMinimumSize(QSize(50, 0))
        self.OnOff_Impostazioni.setMaximumSize(QSize(50, 16777215))
        self.OnOff_Impostazioni.setStyleSheet(u"background-color: transparent;")
        self.OnOff_Impostazioni.setIcon(icon)
        self.OnOff_Impostazioni.setIconSize(QSize(50, 50))
        self.OnOff_Impostazioni.setCheckable(True)
        self.orologio = QLabel(self.centralwidget)
        self.orologio.setObjectName(u"orologio")
        self.orologio.setGeometry(QRect(209, 158, 66, 27))
        font2 = QFont()
        font2.setFamily(u"DS-Digital")
        font2.setPointSize(16)
        self.orologio.setFont(font2)
        self.orologio.setStyleSheet(u"background-color:rgba(0, 0, 0,255);\n"
"border: 2px solid rgb(53, 53, 53);\n"
"color: rgb(0, 170, 255);")
        self.orologio.setTextFormat(Qt.RichText)
        self.orologio.setAlignment(Qt.AlignCenter)
        self.frameAscolto = QFrame(self.centralwidget)
        self.frameAscolto.setObjectName(u"frameAscolto")
        self.frameAscolto.setGeometry(QRect(75, 58, 457, 83))
        self.frameAscolto.setFrameShape(QFrame.StyledPanel)
        self.frameAscolto.setFrameShadow(QFrame.Raised)
        self.text_ascolto = QLabel(self.frameAscolto)
        self.text_ascolto.setObjectName(u"text_ascolto")
        self.text_ascolto.setEnabled(True)
        self.text_ascolto.setGeometry(QRect(23, 6, 413, 49))
        font3 = QFont()
        font3.setFamily(u"DejaVu Serif")
        font3.setPointSize(10)
        self.text_ascolto.setFont(font3)
        self.text_ascolto.setStyleSheet(u"color: rgb(255, 255, 255);")
        self.text_ascolto.setScaledContents(True)
        self.text_ascolto.setAlignment(Qt.AlignCenter)
        self.text_ascolto.setWordWrap(True)
        self.sfondo_l = QLabel(self.frameAscolto)
        self.sfondo_l.setObjectName(u"sfondo_l")
        self.sfondo_l.setGeometry(QRect(2, 1, 453, 79))
        self.sfondo_l.setPixmap(QPixmap(u":/sfondo/img/Frame.png"))
        self.sfondo_l.setScaledContents(True)
        self.sfondo_l.raise_()
        self.text_ascolto.raise_()
        self.pushButtonChiudi = QPushButton(self.centralwidget)
        self.pushButtonChiudi.setObjectName(u"pushButtonChiudi")
        self.pushButtonChiudi.setGeometry(QRect(749, 30, 32, 54))
        self.pushButtonChiudi.setCursor(QCursor(Qt.PointingHandCursor))
        self.pushButtonChiudi.setStyleSheet(u"background-color: transparent;")
        self.pushButtonChiudi.setCheckable(True)
        self.NeonSopra = QLabel(self.centralwidget)
        self.NeonSopra.setObjectName(u"NeonSopra")
        self.NeonSopra.setGeometry(QRect(84, 47, 439, 21))
        self.NeonSopra.setPixmap(QPixmap(u":/luci/img/NeonSopra.png"))
        self.NeonSopra.setScaledContents(True)
        self.NeonSotto = QLabel(self.centralwidget)
        self.NeonSotto.setObjectName(u"NeonSotto")
        self.NeonSotto.setEnabled(True)
        self.NeonSotto.setGeometry(QRect(73, 191, 311, 27))
        self.NeonSotto.setPixmap(QPixmap(u":/luci/img/NeonSopra.png"))
        self.NeonSotto.setScaledContents(True)
        self.TarghettaImpostazioniOFF = QLabel(self.centralwidget)
        self.TarghettaImpostazioniOFF.setObjectName(u"TarghettaImpostazioniOFF")
        self.TarghettaImpostazioniOFF.setEnabled(False)
        self.TarghettaImpostazioniOFF.setGeometry(QRect(21, 161, 29, 61))
        self.TarghettaImpostazioniOFF.setPixmap(QPixmap(u":/targette/img/Vtarghetta-tspento-impostazioni.png"))
        self.TarghettaImpostazioniOFF.setScaledContents(True)
        self.frameImpostazioni = QFrame(self.centralwidget)
        self.frameImpostazioni.setObjectName(u"frameImpostazioni")
        self.frameImpostazioni.setGeometry(QRect(54, 39, 350, 158))
        self.frameImpostazioni.setFrameShape(QFrame.StyledPanel)
        self.frameImpostazioni.setFrameShadow(QFrame.Raised)
        self.label = QLabel(self.frameImpostazioni)
        self.label.setObjectName(u"label")
        self.label.setGeometry(QRect(14, 20, 322, 166))
        self.label.setPixmap(QPixmap(u":/sfondo/img/frameImpostazioni.png"))
        self.label.setScaledContents(True)
        self.comboBox = QComboBox(self.frameImpostazioni)
        self.comboBox.setObjectName(u"comboBox")
        self.comboBox.setGeometry(QRect(133, 119, 158, 22))
        self.label_2 = QLabel(self.frameImpostazioni)
        self.label_2.setObjectName(u"label_2")
        self.label_2.setGeometry(QRect(60, 118, 56, 24))
        font4 = QFont()
        font4.setFamily(u"DejaVu Sans Condensed")
        font4.setPointSize(12)
        self.label_2.setFont(font4)
        self.label_2.setStyleSheet(u"color: rgb(255, 255, 255);")
        self.label_2.setAlignment(Qt.AlignRight|Qt.AlignTrailing|Qt.AlignVCenter)
        self.spinBoxRate = QSpinBox(self.frameImpostazioni)
        self.spinBoxRate.setObjectName(u"spinBoxRate")
        self.spinBoxRate.setGeometry(QRect(134, 146, 43, 25))
        self.spinBoxRate.setCursor(QCursor(Qt.ArrowCursor))
        self.spinBoxRate.setMaximum(200)
        self.label_3 = QLabel(self.frameImpostazioni)
        self.label_3.setObjectName(u"label_3")
        self.label_3.setGeometry(QRect(60, 146, 55, 24))
        self.label_3.setFont(font4)
        self.label_3.setStyleSheet(u"color: rgb(255, 255, 255);")
        self.label_3.setAlignment(Qt.AlignRight|Qt.AlignTrailing|Qt.AlignVCenter)
        self.label.raise_()
        self.label_2.raise_()
        self.spinBoxRate.raise_()
        self.label_3.raise_()
        self.comboBox.raise_()
        self.frameVolume = QFrame(self.centralwidget)
        self.frameVolume.setObjectName(u"frameVolume")
        self.frameVolume.setEnabled(True)
        self.frameVolume.setGeometry(QRect(21, 54, 61, 99))
        self.frameVolume.setStyleSheet(u"color: rgb(69, 215, 255);\n"
"background-color:rgba(0, 170, 255,50);\n"
"border-radius:15px;\n"
"border:2px ridge  rgb(112, 162, 195);")
        self.frameVolume.setFrameShape(QFrame.StyledPanel)
        self.frameVolume.setFrameShadow(QFrame.Raised)
        self.Volume = QDial(self.frameVolume)
        self.Volume.setObjectName(u"Volume")
        self.Volume.setEnabled(False)
        self.Volume.setGeometry(QRect(2, 43, 54, 53))
        self.Volume.setCursor(QCursor(Qt.PointingHandCursor))
        self.Volume.setMaximum(100)
        self.Volume.setPageStep(5)
        self.Volume.setNotchTarget(12.699999999999999)
        self.Volume.setNotchesVisible(True)
        self.lcdNumber = QLCDNumber(self.frameVolume)
        self.lcdNumber.setObjectName(u"lcdNumber")
        self.lcdNumber.setEnabled(True)
        self.lcdNumber.setGeometry(QRect(7, 6, 47, 20))
        font5 = QFont()
        font5.setFamily(u"DejaVu Sans Condensed")
        self.lcdNumber.setFont(font5)
        self.lcdNumber.setStyleSheet(u"background-color: rgb(0, 0, 0);\n"
"color: rgb(0, 170, 255);")
        self.lcdNumber.setSegmentStyle(QLCDNumber.Flat)
        self.label_4 = QLabel(self.frameVolume)
        self.label_4.setObjectName(u"label_4")
        self.label_4.setGeometry(QRect(5, 27, 51, 16))
        self.label_4.setStyleSheet(u"border:0;\n"
"background-color: transparent;")
        self.label_4.setAlignment(Qt.AlignCenter)
        self.sottoTitolo = QLabel(self.centralwidget)
        self.sottoTitolo.setObjectName(u"sottoTitolo")
        self.sottoTitolo.setGeometry(QRect(548, 78, 166, 16))
        font6 = QFont()
        font6.setFamily(u"DejaVu Sans Condensed")
        font6.setPointSize(11)
        self.sottoTitolo.setFont(font6)
        self.sottoTitolo.setStyleSheet(u" color:#0037a6;")
        self.sottoTitolo.setAlignment(Qt.AlignCenter)
        self.frameMeteo = QFrame(self.centralwidget)
        self.frameMeteo.setObjectName(u"frameMeteo")
        self.frameMeteo.setGeometry(QRect(65, 46, 344, 149))
        self.frameMeteo.setStyleSheet(u"")
        self.frameMeteo.setFrameShape(QFrame.StyledPanel)
        self.frameMeteo.setFrameShadow(QFrame.Raised)
        self.sfondoMeteo = QLabel(self.frameMeteo)
        self.sfondoMeteo.setObjectName(u"sfondoMeteo")
        self.sfondoMeteo.setEnabled(True)
        self.sfondoMeteo.setGeometry(QRect(8, 8, 319, 202))
        self.sfondoMeteo.setPixmap(QPixmap(u":/sfondo/img/Frame.png"))
        self.sfondoMeteo.setScaledContents(True)
        self.label_5 = QLabel(self.frameMeteo)
        self.label_5.setObjectName(u"label_5")
        self.label_5.setGeometry(QRect(30, 26, 31, 29))
        self.label_5.setPixmap(QPixmap(u":/meteo/img/Meteo/NotteSerena.png"))
        self.label_5.setScaledContents(True)
        self.tagVelocita = QLabel(self.frameMeteo)
        self.tagVelocita.setObjectName(u"tagVelocita")
        self.tagVelocita.setGeometry(QRect(80, 70, 32, 16))
        font7 = QFont()
        font7.setFamily(u"DS-Digital")
        font7.setPointSize(12)
        self.tagVelocita.setFont(font7)
        self.tagVelocita.setStyleSheet(u"color: rgb(255, 255, 255);")
        self.RosaDeiVenti = QLabel(self.frameMeteo)
        self.RosaDeiVenti.setObjectName(u"RosaDeiVenti")
        self.RosaDeiVenti.setEnabled(True)
        self.RosaDeiVenti.setGeometry(QRect(25, 83, 104, 104))
        self.RosaDeiVenti.setPixmap(QPixmap(u":/meteo/img/Meteo/RosaDeiVenti.png"))
        self.RosaDeiVenti.setScaledContents(True)
        self.RosaDeiVenti_Lancetta = QLabel(self.frameMeteo)
        self.RosaDeiVenti_Lancetta.setObjectName(u"RosaDeiVenti_Lancetta")
        self.RosaDeiVenti_Lancetta.setGeometry(QRect(25, 83, 104, 104))
        self.RosaDeiVenti_Lancetta.setMinimumSize(QSize(101, 104))
        self.RosaDeiVenti_Lancetta.setMaximumSize(QSize(104, 104))
        self.RosaDeiVenti_Lancetta.setPixmap(QPixmap(u":/meteo/img/Meteo/LancettaRosaDeiVenti.png"))
        self.RosaDeiVenti_Lancetta.setScaledContents(True)
        self.VelocitaVento = QLabel(self.frameMeteo)
        self.VelocitaVento.setObjectName(u"VelocitaVento")
        self.VelocitaVento.setGeometry(QRect(48, 69, 40, 16))
        self.VelocitaVento.setFont(font7)
        self.VelocitaVento.setStyleSheet(u"color: rgb(255, 255, 255);")
        self.contVento = QLabel(self.frameMeteo)
        self.contVento.setObjectName(u"contVento")
        self.contVento.setGeometry(QRect(24, 67, 108, 123))
        self.contVento.setStyleSheet(u"color: rgb(69, 215, 255);\n"
"background-color:rgba(0, 170, 255,50);\n"
"border-radius:15px;\n"
"border:2px ridge  rgb(112, 162, 195);")
        self.temperatura_img = QLabel(self.frameMeteo)
        self.temperatura_img.setObjectName(u"temperatura_img")
        self.temperatura_img.setGeometry(QRect(259, 125, 39, 61))
        self.temperatura_img.setPixmap(QPixmap(u":/meteo/img/Meteo/TermometroFreddo.png"))
        self.temperatura_img.setScaledContents(True)
        self.label_6 = QLabel(self.frameMeteo)
        self.label_6.setObjectName(u"label_6")
        self.label_6.setGeometry(QRect(226, 122, 77, 66))
        self.label_6.setStyleSheet(u"color: rgb(69, 215, 255);\n"
"background-color:rgba(0, 170, 255,50);\n"
"border-radius:15px;\n"
"border:2px ridge  rgb(112, 162, 195);")
        self.tagtemperatura = QLabel(self.frameMeteo)
        self.tagtemperatura.setObjectName(u"tagtemperatura")
        self.tagtemperatura.setGeometry(QRect(264, 170, 16, 16))
        self.tagtemperatura.setFont(font7)
        self.tagtemperatura.setStyleSheet(u"color: rgb(255, 255, 255);")
        self.temperatura = QLabel(self.frameMeteo)
        self.temperatura.setObjectName(u"temperatura")
        self.temperatura.setGeometry(QRect(242, 169, 23, 20))
        self.temperatura.setFont(font7)
        self.temperatura.setStyleSheet(u"color: rgb(255, 255, 255);")
        self.temperatura.setAlignment(Qt.AlignRight|Qt.AlignTrailing|Qt.AlignVCenter)
        self.sfondoMeteo.raise_()
        self.label_6.raise_()
        self.contVento.raise_()
        self.label_5.raise_()
        self.tagVelocita.raise_()
        self.RosaDeiVenti.raise_()
        self.RosaDeiVenti_Lancetta.raise_()
        self.VelocitaVento.raise_()
        self.temperatura_img.raise_()
        self.tagtemperatura.raise_()
        self.temperatura.raise_()
        self.OnOff_meteo = QPushButton(self.centralwidget)
        self.OnOff_meteo.setObjectName(u"OnOff_meteo")
        self.OnOff_meteo.setEnabled(False)
        self.OnOff_meteo.setGeometry(QRect(275, 140, 28, 58))
        self.OnOff_meteo.setStyleSheet(u"background-color: transparent;")
        self.OnOff_meteo.setIcon(icon)
        self.OnOff_meteo.setIconSize(QSize(20, 40))
        self.OnOff_meteo.setCheckable(True)
        self.label_7 = QLabel(self.centralwidget)
        self.label_7.setObjectName(u"label_7")
        self.label_7.setGeometry(QRect(274, 135, 30, 28))
        self.label_7.setPixmap(QPixmap(u":/meteo/img/Meteo/Meteo.png"))
        self.label_7.setScaledContents(True)
        MainWindow.setCentralWidget(self.centralwidget)
        self.frameMeteo.raise_()
        self.frameAscolto.raise_()
        self.frameImpostazioni.raise_()
        self.sfondo.raise_()
        self.label_7.raise_()
        self.NeonSotto.raise_()
        self.NeonSopra.raise_()
        self.targhettaOnOff.raise_()
        self.OnLabel.raise_()
        self.OffLabel.raise_()
        self.display.raise_()
        self.gridLayoutWidget.raise_()
        self.titolo.raise_()
        self.orologio.raise_()
        self.pushButtonChiudi.raise_()
        self.TarghettaImpostazioniOFF.raise_()
        self.OnOff_Impostazioni.raise_()
        self.frameVolume.raise_()
        self.sottoTitolo.raise_()
        self.OnOff_meteo.raise_()

        self.retranslateUi(MainWindow)
        self.OnOff_Generale.clicked.connect(MainWindow.on_off_generale)
        self.OnOff_Impostazioni.clicked.connect(MainWindow.on_off_impostazioni)
        self.pushButtonChiudi.clicked.connect(MainWindow.chiudi_on_off)

        QMetaObject.connectSlotsByName(MainWindow)
    # setupUi

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QCoreApplication.translate("MainWindow", u"MainWindow", None))
#if QT_CONFIG(tooltip)
        self.OnOff_Generale.setToolTip(QCoreApplication.translate("MainWindow", u"OnOFF Generale", u"OnOFF Generale"))
#endif // QT_CONFIG(tooltip)
        self.OnOff_Generale.setText("")
        self.titolo.setText(QCoreApplication.translate("MainWindow", u"Ivona Q.I.A", None))
        self.sfondo.setText("")
        self.display.setText("")
        self.targhettaOnOff.setText("")
        self.OnLabel.setText(QCoreApplication.translate("MainWindow", u"On", None))
        self.OffLabel.setText(QCoreApplication.translate("MainWindow", u"Off", None))
#if QT_CONFIG(statustip)
        self.OnOff_Impostazioni.setStatusTip("")
#endif // QT_CONFIG(statustip)
        self.OnOff_Impostazioni.setText("")
        self.orologio.setText("")
        self.text_ascolto.setText("")
        self.sfondo_l.setText("")
#if QT_CONFIG(tooltip)
        self.pushButtonChiudi.setToolTip("")
#endif // QT_CONFIG(tooltip)
        self.pushButtonChiudi.setText("")
        self.NeonSopra.setText("")
        self.NeonSotto.setText("")
        self.TarghettaImpostazioniOFF.setText("")
        self.label.setText("")
        self.label_2.setText(QCoreApplication.translate("MainWindow", u"Voce:", None))
        self.label_3.setText(QCoreApplication.translate("MainWindow", u"Rate:", None))
        self.label_4.setText(QCoreApplication.translate("MainWindow", u"Volume", None))
        self.sottoTitolo.setText(QCoreApplication.translate("MainWindow", u"by Pythoniano per caso", None))
        self.sfondoMeteo.setText("")
        self.label_5.setText("")
        self.tagVelocita.setText(QCoreApplication.translate("MainWindow", u"m/s", None))
        self.RosaDeiVenti.setText("")
        self.RosaDeiVenti_Lancetta.setText("")
        self.VelocitaVento.setText(QCoreApplication.translate("MainWindow", u"3.77", None))
        self.contVento.setText("")
        self.temperatura_img.setText("")
        self.label_6.setText("")
        self.tagtemperatura.setText(QCoreApplication.translate("MainWindow", u"\u00b0", None))
        self.temperatura.setText("")
#if QT_CONFIG(statustip)
        self.OnOff_meteo.setStatusTip("")
#endif // QT_CONFIG(statustip)
        self.OnOff_meteo.setText("")
        self.label_7.setText("")
    # retranslateUi

